/*******************************************************************************
 * Copyright (c) 2007 Genuitec, LLC and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Genuitec, LLC - initial API and implementation
 *******************************************************************************/
package org.eclipse.equinox.prov.reconciler;

import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.equinox.prov.engine.Profile;
import org.eclipse.equinox.prov.metadata.IInstallableUnit;

public interface IReconciler
{
    /**
     * Reconciles the specified profiles.  The mandatory profile is treated as mandatory
     * requirements and is applied to the secondary profile.  If changes are needed or 
     * have to be removed from the target profile, the ReconcilerChanges lists the
     * objects.
     * 
     * @param mandatory
     * @param secondary
     * @return
     */
    public ReconcilerChanges reconcile(IInstallableUnit mandatory, Profile secondary, IProgressMonitor monitor);
}
