/*******************************************************************************
 * Copyright (c) 2007 Genuitec, LLC and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Genuitec, LLC - initial API and implementation
 *******************************************************************************/
package org.eclipse.equinox.prov.reconciler;

import java.util.ArrayList;
import java.util.Collection;

import org.eclipse.equinox.prov.metadata.RequiredCapability;
import org.osgi.framework.Version;

public class ProfileTemplate
{
    private RequiredCapability[] requiredCapabilities;
    private Version version;

    public ProfileTemplate(Version version)
    {
        this.version = version;
    }

    public RequiredCapability[] getRequiredCapabilitiesArray()
    {
        return requiredCapabilities;
    }
    
    public Collection getRequiredCapabilitiesCollection() {
    	Collection rcCollection = new ArrayList();
    	for (int i = 0; i < requiredCapabilities.length; i++) {
			RequiredCapability rc = requiredCapabilities[i];
			rcCollection.add(rc);
		}
    	return rcCollection;
    }
    
    public void setRequiredCapabilities(RequiredCapability[] requiredCapabilites)
    {
        this.requiredCapabilities = requiredCapabilites;
    }
    
    public Version getVersion()
    {
        return version;
    }
}
