/*******************************************************************************
 * Copyright (c) 2007 Red Hat, Inc. and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Red Hat, Inc. - initial API and implementation
 *******************************************************************************/
package org.eclipse.equinox.prov.reconciler;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

/**
 * The activator class controls the plug-in life cycle
 */
public class ReconcilerActivator implements BundleActivator  {

	public static final String ID = "org.eclipse.equinox.prov.core";
	public static BundleContext context;
	
	// The plug-in ID
	public static final String PLUGIN_ID = "org.eclipse.equinox.prov.reconciler";

	// The shared instance
	private static ReconcilerActivator plugin;
	
	/**
	 * The constructor
	 */
	public ReconcilerActivator() {
	}

	public void start(BundleContext context) throws Exception {
		plugin = this;
		ReconcilerActivator.context = context;
	}

	public static BundleContext getContext() {
		return context;
	}

	public void stop(BundleContext context) throws Exception {
		plugin = null;
		ReconcilerActivator.context = null;
	}

	/**
	 * Returns the shared instance
	 *
	 * @return the shared instance
	 */
	public static ReconcilerActivator getDefault() {
		return plugin;
	}
	
}
